Name:		fcitx-unikey
Version:	0.1.1
Release:	2%{?dist}
Summary:	Vietnamese Engine for Fcitx
Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://code.google.com/p/fcitx/
Source0:	http://fcitx.googlecode.com/files/%{name}-%{version}.tar.xz

BuildRequires:	cmake, fcitx-devel, gettext, intltool
BuildRequires:	qt-devel
Requires:	fcitx

%description
A Vietnamese engine for Fcitx that uses Unikey.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -pv build
pushd build
%cmake ..
make %{?_smp_mflags} VERBOSE=1
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/%{name}-macro-editor
%{_libdir}/fcitx/%{name}.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/inputmethod/unikey.conf
%{_datadir}/fcitx/configdesc/%{name}.desc
%{_datadir}/fcitx/skin/default/unikey.png
%{_datadir}/icons/hicolor/256x256/apps/fcitx-unikey.png

%changelog
* Tue Dec 11 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.1-2
- Add qt4-devel as BuildRequires

* Tue Dec 11 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.1-1
- Upstream to fcitx-unikey-0.1.1

* Tue May 22 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.0-1
- Initial Package
